&<
Prev | 12.16. Raster Operators | Next

## Name

&< — Returns `TRUE` if A's bounding box is to the left of B's.

## Synopsis

`boolean &<(` raster A , raster B `)`;

## Description

The `&<` operator returns `TRUE` if the bounding box of raster A overlaps or is to the left of the bounding box of raster B, or more accurately, overlaps or is NOT to the right of the bounding box of raster B.

This operand will make use of any indexes that may be available on the rasters.

## Examples

    SELECT A.rid As a_rid, B.rid As b_rid, A.rast &< B.rast As overleft
     FROM dummy_rast AS A CROSS JOIN dummy_rast AS B;

    a_rid | b_rid | overleft
    ------+-------+----------
        2 |     2 | t
        2 |     3 | f
        2 |     1 | f
        3 |     2 | t
        3 |     3 | t
        3 |     1 | f
        1 |     2 | t
        1 |     3 | t
        1 |     1 | t

Prev | Up | Next
&& | Home | &>